<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StartChangeId StructType
 * Meta information extracted from the WSDL
 * - documentation: For the first request to this API exclude this element. For each subsequent request send the nextStartChangeId and the queueId returned in the prior response.
 * @subpackage Structs
 */
class StartChangeId extends AbstractStructBase
{
    /**
     * The queueId
     * Meta information extracted from the WSDL
     * - use: required
     * @var string
     */
    public $queueId;
    /**
     * The _
     * @var int
     */
    public $_;
    /**
     * Constructor method for StartChangeId
     * @uses StartChangeId::setQueueId()
     * @uses StartChangeId::set_()
     * @param string $queueId
     * @param int $_
     */
    public function __construct($queueId = null, $_ = null)
    {
        $this
            ->setQueueId($queueId)
            ->set_($_);
    }
    /**
     * Get queueId value
     * @return string
     */
    public function getQueueId()
    {
        return $this->queueId;
    }
    /**
     * Set queueId value
     * @param string $queueId
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StartChangeId
     */
    public function setQueueId($queueId = null)
    {
        $this->queueId = $queueId;
        return $this;
    }
    /**
     * Get _ value
     * @return int|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param int $_
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\StartChangeId
     */
    public function set_($_ = null)
    {
        $this->_ = $_;
        return $this;
    }
}
